vim.g.mapleader = " "
vim.keymap.set("n", "<leader>pv", vim.cmd.Ex)

-- Telescope
local builtin = require('telescope.builtin')
vim.keymap.set('n', '<leader>tf', builtin.find_files, {}) -- Open files
vim.keymap.set('n', '<leader>ts', builtin.live_grep, {})  -- Grep files
vim.keymap.set('n', '<leader>tb', builtin.buffers, {})    -- Neovim buffers
vim.keymap.set('n', '<leader>tr', builtin.resume, {})
-- Git functionality (all start tg)
vim.keymap.set('n', '<leader>tgf', builtin.git_files, {})
vim.keymap.set('n', '<leader>tgc', builtin.git_commits, {})
vim.keymap.set('n', '<leader>tgb', builtin.git_branches, {})
-- Then checkout with CR, track with C-t and rebase with C-r!

-- Fugitive
vim.keymap.set("n", "<leader>gs", vim.cmd.Git);
vim.keymap.set('n', '<leader>ds', ':Gvdiffsplit!<CR>');
vim.keymap.set('n', '<leader>gl', ':diffget //2<CR>'); -- 'Get left' window
vim.keymap.set('n', '<leader>gr', ':diffget //3<CR>'); -- 'Get right' window

-- Nvim-tree
vim.keymap.set("n", "<leader>nt", vim.cmd.NvimTreeToggle, {})

